#include "Display.h"
#include "GraphicsManager.h"

using namespace std;

// This function displays a string at position world_pos on the screen.
// If any of the individual drawCh calls fail, the function returns -1.
int display_string(string a_str, Position world_pos){
  GraphicsManager &graph_mgr = GraphicsManager::getInstance();

  for(int i = 0; i < a_str.size(); i++){
    if(graph_mgr.drawCh(Position(world_pos.getX() + i, world_pos.getY()), a_str[i] ) == 1)
      return -1;
  }

  return 0;
}
